using Pilz.SymbolPacks.Fluent;
using System.Reflection;

namespace Pilz.UI.Telerik.Symbols.Factories;

internal class FluentFactory : RadSymbolFactory<SymbolsFluent>
{
    public override Assembly GetImageResourceAssembly()
    {
        return typeof(SymbolsFluent).Assembly;
    }

    public override string GetImageRessourcePath(SymbolsFluent svgImage)
    {
        return $"{typeof(SymbolsFluent).Namespace}.Files.{svgImage}.svg";
    }
}
